package com.ktg.system.mapper;


import com.ktg.common.mapper.BaseMapperX;
import com.ktg.system.domain.SysTeam;

import java.util.List;

/**
 * 小组Mapper接口
 *
 * @author cc
 * @date 2024-09-12
 */
public interface SysTeamMapper extends BaseMapperX<SysTeam>
{
    /**
     * 查询小组
     *
     * @param id 小组主键
     * @return 小组
     */
    public SysTeam selectSysTeamById(Long id);

    /**
     * 查询小组列表
     *
     * @param sysTeam 小组
     * @return 小组集合
     */
    public List<SysTeam> selectSysTeamList(SysTeam sysTeam);

    /**
     * 新增小组
     *
     * @param sysTeam 小组
     * @return 结果
     */
    public int insertSysTeam(SysTeam sysTeam);

    /**
     * 修改小组
     *
     * @param sysTeam 小组
     * @return 结果
     */
    public int updateSysTeam(SysTeam sysTeam);

    /**
     * 删除小组
     *
     * @param id 小组主键
     * @return 结果
     */
    public int deleteSysTeamById(Long id);

    /**
     * 批量删除小组
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysTeamByIds(Long[] ids);
}
